Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

GoodTech SSH Server SFTP Multiple BOF Vulnerabilities

Information

Severity

Severity

Critical

Family

Family

Denial of Service

CVSSv2 Base

CVSSv2 Base

9.0

CVSSv2 Vector

CVSSv2 Vector

AV:N/AC:L/Au:S/C:C/I:C/A:C

Solution Type

Solution Type

Vendor Patch

Created

Created

13 years ago

Modified

Modified

3 years ago

Summary

The host is running GoodTech SSH server and is prone to multiple buffer overflow vulnerabilities. The flaws are due to error in SFTP 'open', 'opendir', and 'unlink' commands. This can be exploited by passing overly long string argument.

Affected Software

Affected Software

GoodTech SSH Server version 6.4 and prior on Windows (all)

Solution

Solution

Upgrade to GoodTech SSH Server version 6.5 or later.

Common Vulnerabilities and Exposures (CVE)